Incus - Command line client(1)

NAME
incus-file-push - Push files into instances

SYNOPSIS
incus file push ... [:]/ [flags]

DESCRIPTION
Description:
  Push files into instances

OPTIONS
-p, --create-dirs[=false]
    ``Create any directories necessary

-L, --dereference[=false]
    ``Always follow symbolic links in source path

-H, --follow[=false]
    ``Follow command-line symbolic links in source path

--gid=-1
    ``Set the files' GIDs on push

--mode=""
    ``Set the file's perms on push (in recursive mode, only sets the target directory's permissions)

-P, --no-dereference[=false]
    ``Never follow symbolic links in source path

-r, --recursive[=false]
    ``Recursively transfer files

--uid=-1
    ``Set the files' UIDs on push

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Show all debug messages

--explain[=false]
    If the command is valid, explain its parsed arguments instead of running it

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

EXAMPLE
      incus file push /etc/hosts foo/etc/hosts
         To push /etc/hosts into the instance "foo".

      echo "Hello world" | incus file push - foo/root/test
         To read "Hello world" from standard input and write it into /root/test in instance "foo".

SEE ALSO
incus-file(1)

HISTORY
10-Jul-2026 Auto generated by spf13/cobra